LPCOpen Platform for LPC18XX/43XX microcontrollers: GPDMA_CH_CFG_T Struct Reference

| LPCOpen Platform for LPC18XX/43XX microcontrollers 18XX43XX LPCOpen Platform for the NXP LPC18XX/43XX family of Microcontrollers

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
GPDMA_CH_CFG_T Struct Reference
CHIP: LPC18xx/43xx General Purpose DMA driver

## Detailed Description

GPDMA structure using for DMA configuration.

Definition at line 157 of file gpdma_18xx_43xx.h.

`#include "gpdma_18xx_43xx.h"`

## Data Fields
uint32_t | ChannelNum
uint32_t | TransferSize
uint32_t | TransferWidth
uint32_t | SrcAddr
uint32_t | DstAddr
uint32_t | TransferType

## Field Documentation

uint32_t ChannelNum

                     DMA channel number, should be in

range from 0 to 7. Note: DMA channel 0 has the highest priority and DMA channel 7 the lowest priority.

Definition at line 158 of file gpdma_18xx_43xx.h.

uint32_t DstAddr

                   Physical Destination Address, used in case TransferType is chosen as

GPDMA_TRANSFERTYPE_M2M or GPDMA_TRANSFERTYPE_P2M

Definition at line 167 of file gpdma_18xx_43xx.h.

uint32_t SrcAddr

                   Physical Source Address, used in case TransferType is chosen as

GPDMA_TRANSFERTYPE_M2M or GPDMA_TRANSFERTYPE_M2P

Definition at line 165 of file gpdma_18xx_43xx.h.

uint32_t TransferSize

Length/Size of transfer

Definition at line 163 of file gpdma_18xx_43xx.h.

uint32_t TransferType

                        Transfer Type, should be one of the following:

- GPDMA_TRANSFERTYPE_M2M: Memory to memory - DMA control
- GPDMA_TRANSFERTYPE_M2P: Memory to peripheral - DMA control
- GPDMA_TRANSFERTYPE_P2M: Peripheral to memory - DMA control
- GPDMA_TRANSFERTYPE_P2P: Source peripheral to destination peripheral - DMA control

Definition at line 169 of file gpdma_18xx_43xx.h.

uint32_t TransferWidth

Transfer width - used for TransferType is GPDMA_TRANSFERTYPE_M2M only

Definition at line 164 of file gpdma_18xx_43xx.h.

The documentation for this struct was generated from the following file:

- C:/w/lpcopen_docs/software/lpc_core/lpc_chip/chip_18xx_43xx/gpdma_18xx_43xx.h